package cn.meowrain.aioj.backend.question.common.enums;

import lombok.Getter;

/**
 * 题目服务责任链标识枚举
 */
@Getter
public enum ChainMarkEnums {

    /**
     * 题目创建参数校验
     */
    QUESTION_CREATE_PARAM_VERIFY_CHAIN("question_create_param_verify_chain", "题目创建参数校验责任链"),

    /**
     * 题目更新参数校验
     */
    QUESTION_UPDATE_PARAM_VERIFY_CHAIN("question_update_param_verify_chain", "题目更新参数校验责任链"),

    /**
     * 题目编辑参数校验（用户编辑）
     */
    QUESTION_EDIT_PARAM_VERIFY_CHAIN("question_edit_param_verify_chain", "题目编辑参数校验责任链"),

    /**
     * 测试用例创建参数校验
     */
    TEST_CASE_CREATE_PARAM_VERIFY_CHAIN("test_case_create_param_verify_chain", "测试用例创建参数校验责任链"),

    /**
     * 题目提交参数校验
     */
    QUESTION_SUBMIT_REQ_PARAM_VERIFY_CHAIN("question_submit_req_param_verify_chain", "题目提交参数校验责任链"),

    ;

    /**
     * 标识
     */
    private final String mark;

    /**
     * 描述
     */
    private final String desc;

    ChainMarkEnums(String mark, String desc) {
        this.mark = mark;
        this.desc = desc;
    }
}
